### Method

# GtkSource PrintCompositor set_footer_font_name

#### Declaration [src]

    void
    gtk_source_print_compositor_set_footer_font_name (
      GtkSourcePrintCompositor* compositor,
      const gchar* font_name
    )

#### Description [src]

Sets the font for printing the page footer.

If `NULL` is supplied, the default font (i.e. the one being used for the text) will be used instead.

`font_name` should be a string representation of a font description Pango can understand. (e.g. "Monospace 10"). See `pango_font_description_from_string()` for a description of the format of the string representation.

This function cannot be called anymore after the first call to the `gtk_source_print_compositor_paginate()` function.

Sets property | `GtkSource.PrintCompositor:footer-font-name`

#### Parameters

`font_name`

  Type: `const gchar*`

  The name of the font for the footer text, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.